Imports System.IO
Imports System.Xml
Imports System.Drawing.Drawing2D
Imports System.Drawing

Public Class GUISetting_Tab
    Inherits System.Windows.Forms.UserControl
    Private _settings As WeatherSettings ' = Nothing
    Public Shared LocationIDString As String
    Public AdSett(5) As String
    Private ArraySelection As Integer
    Private LocationID(1) As String
    Friend WithEvents ToolStrip1 As System.Windows.Forms.ToolStrip
    Friend WithEvents ToolStripAdd As System.Windows.Forms.ToolStripButton
    Friend WithEvents ToolStripFind As System.Windows.Forms.ToolStripButton
    Friend WithEvents ToolStripRemove As System.Windows.Forms.ToolStripButton
    Friend WithEvents ToolStripDelete As System.Windows.Forms.ToolStripButton
    Friend WithEvents ToolStripClear As System.Windows.Forms.ToolStripButton
    Friend WithEvents Label25 As System.Windows.Forms.Label
    Friend WithEvents Label16 As System.Windows.Forms.Label
    Private LocationString(1) As String

#Region " Windows Form Designer generated code "

    Public Sub New(ByVal settings As WeatherSettings)
        MyBase.New()

        'This call is required by the Windows Form Designer.
        InitializeComponent()
        _settings = settings
        Me.SetStyle(Windows.Forms.ControlStyles.SupportsTransparentBackColor, True)
        Me.BackColor = System.Drawing.Color.Transparent
        'OptionsTab.BackColor = System.Drawing.Color.Transparent

        'Tab Code

        formCBox.Items.Add("SHORT")
        formCBox.Items.Add("MEDIUM")
        formCBox.Items.Add("LONG")

        utCBox.Items.Add("C")
        utCBox.Items.Add("F")

        udCBox.Items.Add("km")
        udCBox.Items.Add("mi")

        usCBox.Items.Add("km/h")
        usCBox.Items.Add("mph")

        upCBox.Items.Add("mb")
        upCBox.Items.Add("in")

        urCBox.Items.Add("mm")
        urCBox.Items.Add("in")

        InitSettings()

    End Sub

    'UserControl overrides dispose to clean up the component list.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    'Required by the Windows Form Designer
    Private components As System.ComponentModel.IContainer

    'NOTE: The following procedure is required by the Windows Form Designer
    'It can be modified using the Windows Form Designer.  
    'Do not modify it using the code editor.
    Friend WithEvents ToolTip1 As System.Windows.Forms.ToolTip
    Friend WithEvents OpenFileDialog1 As System.Windows.Forms.OpenFileDialog
    Friend WithEvents AdvanceGB As System.Windows.Forms.GroupBox
    Friend WithEvents DaysUpDown As System.Windows.Forms.NumericUpDown
    Friend WithEvents BrowseBtn As System.Windows.Forms.Button
    Friend WithEvents TranslationTxt As System.Windows.Forms.TextBox
    Friend WithEvents CustomTxt As System.Windows.Forms.TextBox
    Friend WithEvents urCBox As System.Windows.Forms.ComboBox
    Friend WithEvents upCBox As System.Windows.Forms.ComboBox
    Friend WithEvents usCBox As System.Windows.Forms.ComboBox
    Friend WithEvents formCBox As System.Windows.Forms.ComboBox
    Friend WithEvents udCBox As System.Windows.Forms.ComboBox
    Friend WithEvents utCBox As System.Windows.Forms.ComboBox
    Friend WithEvents Label4 As System.Windows.Forms.Label
    Friend WithEvents Label5 As System.Windows.Forms.Label
    Friend WithEvents Label6 As System.Windows.Forms.Label
    Friend WithEvents Label7 As System.Windows.Forms.Label
    Friend WithEvents Label8 As System.Windows.Forms.Label
    Friend WithEvents Label9 As System.Windows.Forms.Label
    Friend WithEvents Label10 As System.Windows.Forms.Label
    Friend WithEvents LogChk As System.Windows.Forms.CheckBox
    Friend WithEvents DaysLbl As System.Windows.Forms.Label
    Friend WithEvents OptionsTab As System.Windows.Forms.TabControl
    Friend WithEvents LocationsTab As System.Windows.Forms.TabPage
    Friend WithEvents UnitsTab As System.Windows.Forms.TabPage
    Friend WithEvents AdvanceTab As System.Windows.Forms.TabPage
    Friend WithEvents GroupBox3 As System.Windows.Forms.GroupBox
    Friend WithEvents UnitsCancel As System.Windows.Forms.Button
    Friend WithEvents UnitsApply As System.Windows.Forms.Button
    Friend WithEvents CustomBtn As System.Windows.Forms.RadioButton
    Friend WithEvents AmericanBtn As System.Windows.Forms.RadioButton
    Friend WithEvents MetricBtn As System.Windows.Forms.RadioButton
    Friend WithEvents EnglishBtn As System.Windows.Forms.RadioButton
    Friend WithEvents LocationsLst As System.Windows.Forms.ListBox
    Friend WithEvents LocationsMnu As System.Windows.Forms.ContextMenu
    Friend WithEvents SearchLocPnl As System.Windows.Forms.GroupBox
    Friend WithEvents Label1 As System.Windows.Forms.Label
    Friend WithEvents Button3 As System.Windows.Forms.Button
    Friend WithEvents SearchTxt As System.Windows.Forms.TextBox
    Friend WithEvents BtnOK As System.Windows.Forms.Button
    Friend WithEvents AddMnu As System.Windows.Forms.MenuItem
    Friend WithEvents SearchMnu As System.Windows.Forms.MenuItem
    Friend WithEvents DeleteMnu As System.Windows.Forms.MenuItem
    Friend WithEvents InfoMnu As System.Windows.Forms.MenuItem
    Friend WithEvents MenuItem6 As System.Windows.Forms.MenuItem
    Friend WithEvents DeleteAllMnu As System.Windows.Forms.MenuItem
    Friend WithEvents SearchhtmlBtn As System.Windows.Forms.Button
    Friend WithEvents AddLocPnl As System.Windows.Forms.GroupBox
    Friend WithEvents SearchLst As System.Windows.Forms.ListBox
    Friend WithEvents AddLocTxt As System.Windows.Forms.TextBox
    Friend WithEvents Label2 As System.Windows.Forms.Label
    Friend WithEvents AddLocBtn As System.Windows.Forms.Button
    Friend WithEvents AddLocCancelBtn As System.Windows.Forms.Button
    Friend WithEvents LocationCancel As System.Windows.Forms.Button
    Friend WithEvents LocationApply As System.Windows.Forms.Button
    Friend WithEvents InfoPnl As System.Windows.Forms.GroupBox
    Friend WithEvents InfoLocIDTxt As System.Windows.Forms.TextBox
    Friend WithEvents Label3 As System.Windows.Forms.Label
    Friend WithEvents Label11 As System.Windows.Forms.Label
    Friend WithEvents InfoLocTxt As System.Windows.Forms.TextBox
    Friend WithEvents Label12 As System.Windows.Forms.Label
    Friend WithEvents InfoLatTxt As System.Windows.Forms.TextBox
    Friend WithEvents Label13 As System.Windows.Forms.Label
    Friend WithEvents Label14 As System.Windows.Forms.Label
    Friend WithEvents InfoTimeTxt As System.Windows.Forms.TextBox
    Friend WithEvents Label15 As System.Windows.Forms.Label
    Friend WithEvents InfoStationTxt As System.Windows.Forms.TextBox
    Friend WithEvents InfoLonTxt As System.Windows.Forms.TextBox
    Friend WithEvents InfoHideBtn As System.Windows.Forms.Button
    Friend WithEvents GroupBox1 As System.Windows.Forms.GroupBox
    Friend WithEvents AdApplyBtn As System.Windows.Forms.Button
    Friend WithEvents AdCancelBtn As System.Windows.Forms.Button
    Friend WithEvents ResetBtn As System.Windows.Forms.Button
    Friend WithEvents Label17 As System.Windows.Forms.Label
    Friend WithEvents Label18 As System.Windows.Forms.Label
    Friend WithEvents Label19 As System.Windows.Forms.Label
    Friend WithEvents GroupBox2 As System.Windows.Forms.GroupBox
    Friend WithEvents Label20 As System.Windows.Forms.Label
    Friend WithEvents Label21 As System.Windows.Forms.Label
    Friend WithEvents ProxyTxt As System.Windows.Forms.TextBox
    Friend WithEvents PortTxt As System.Windows.Forms.TextBox
    Friend WithEvents GroupBox4 As System.Windows.Forms.GroupBox
    Friend WithEvents ProxyChk As System.Windows.Forms.CheckBox
    Friend WithEvents ProxyPnl As System.Windows.Forms.Panel
    Friend WithEvents SecUD As System.Windows.Forms.NumericUpDown
    Friend WithEvents MinsUD As System.Windows.Forms.NumericUpDown
    Friend WithEvents HoursUD As System.Windows.Forms.NumericUpDown
    Friend WithEvents Label22 As System.Windows.Forms.Label
    Friend WithEvents SaveFileDialog1 As System.Windows.Forms.SaveFileDialog
    Friend WithEvents ExportBtn As System.Windows.Forms.Button
    Friend WithEvents ImportBtn As System.Windows.Forms.Button
    Friend WithEvents AboutTab As System.Windows.Forms.TabPage
    Friend WithEvents Label23 As System.Windows.Forms.Label
    Friend WithEvents Label24 As System.Windows.Forms.Label
    Friend WithEvents PictureBox1 As System.Windows.Forms.PictureBox
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container
        Dim resources As System.ComponentModel.ComponentResourceManager = New System.ComponentModel.ComponentResourceManager(GetType(GUISetting_Tab))
        Me.ToolTip1 = New System.Windows.Forms.ToolTip(Me.components)
        Me.LocationsLst = New System.Windows.Forms.ListBox
        Me.LocationsMnu = New System.Windows.Forms.ContextMenu
        Me.AddMnu = New System.Windows.Forms.MenuItem
        Me.SearchMnu = New System.Windows.Forms.MenuItem
        Me.InfoMnu = New System.Windows.Forms.MenuItem
        Me.MenuItem6 = New System.Windows.Forms.MenuItem
        Me.DeleteMnu = New System.Windows.Forms.MenuItem
        Me.DeleteAllMnu = New System.Windows.Forms.MenuItem
        Me.OpenFileDialog1 = New System.Windows.Forms.OpenFileDialog
        Me.AdvanceGB = New System.Windows.Forms.GroupBox
        Me.Label9 = New System.Windows.Forms.Label
        Me.Label8 = New System.Windows.Forms.Label
        Me.Label7 = New System.Windows.Forms.Label
        Me.Label6 = New System.Windows.Forms.Label
        Me.Label5 = New System.Windows.Forms.Label
        Me.Label4 = New System.Windows.Forms.Label
        Me.urCBox = New System.Windows.Forms.ComboBox
        Me.upCBox = New System.Windows.Forms.ComboBox
        Me.usCBox = New System.Windows.Forms.ComboBox
        Me.formCBox = New System.Windows.Forms.ComboBox
        Me.udCBox = New System.Windows.Forms.ComboBox
        Me.utCBox = New System.Windows.Forms.ComboBox
        Me.CustomTxt = New System.Windows.Forms.TextBox
        Me.LogChk = New System.Windows.Forms.CheckBox
        Me.Label10 = New System.Windows.Forms.Label
        Me.DaysUpDown = New System.Windows.Forms.NumericUpDown
        Me.BrowseBtn = New System.Windows.Forms.Button
        Me.TranslationTxt = New System.Windows.Forms.TextBox
        Me.DaysLbl = New System.Windows.Forms.Label
        Me.OptionsTab = New System.Windows.Forms.TabControl
        Me.LocationsTab = New System.Windows.Forms.TabPage
        Me.ToolStrip1 = New System.Windows.Forms.ToolStrip
        Me.ToolStripAdd = New System.Windows.Forms.ToolStripButton
        Me.ToolStripFind = New System.Windows.Forms.ToolStripButton
        Me.ToolStripRemove = New System.Windows.Forms.ToolStripButton
        Me.ToolStripDelete = New System.Windows.Forms.ToolStripButton
        Me.ToolStripClear = New System.Windows.Forms.ToolStripButton
        Me.SearchLocPnl = New System.Windows.Forms.GroupBox
        Me.Label1 = New System.Windows.Forms.Label
        Me.Button3 = New System.Windows.Forms.Button
        Me.SearchhtmlBtn = New System.Windows.Forms.Button
        Me.SearchTxt = New System.Windows.Forms.TextBox
        Me.SearchLst = New System.Windows.Forms.ListBox
        Me.BtnOK = New System.Windows.Forms.Button
        Me.InfoPnl = New System.Windows.Forms.GroupBox
        Me.InfoHideBtn = New System.Windows.Forms.Button
        Me.InfoStationTxt = New System.Windows.Forms.TextBox
        Me.Label15 = New System.Windows.Forms.Label
        Me.InfoTimeTxt = New System.Windows.Forms.TextBox
        Me.Label14 = New System.Windows.Forms.Label
        Me.InfoLonTxt = New System.Windows.Forms.TextBox
        Me.Label13 = New System.Windows.Forms.Label
        Me.InfoLatTxt = New System.Windows.Forms.TextBox
        Me.Label12 = New System.Windows.Forms.Label
        Me.InfoLocTxt = New System.Windows.Forms.TextBox
        Me.Label11 = New System.Windows.Forms.Label
        Me.Label3 = New System.Windows.Forms.Label
        Me.InfoLocIDTxt = New System.Windows.Forms.TextBox
        Me.LocationCancel = New System.Windows.Forms.Button
        Me.LocationApply = New System.Windows.Forms.Button
        Me.AddLocPnl = New System.Windows.Forms.GroupBox
        Me.AddLocCancelBtn = New System.Windows.Forms.Button
        Me.AddLocBtn = New System.Windows.Forms.Button
        Me.Label2 = New System.Windows.Forms.Label
        Me.AddLocTxt = New System.Windows.Forms.TextBox
        Me.UnitsTab = New System.Windows.Forms.TabPage
        Me.UnitsCancel = New System.Windows.Forms.Button
        Me.UnitsApply = New System.Windows.Forms.Button
        Me.GroupBox3 = New System.Windows.Forms.GroupBox
        Me.AmericanBtn = New System.Windows.Forms.RadioButton
        Me.MetricBtn = New System.Windows.Forms.RadioButton
        Me.CustomBtn = New System.Windows.Forms.RadioButton
        Me.EnglishBtn = New System.Windows.Forms.RadioButton
        Me.AdvanceTab = New System.Windows.Forms.TabPage
        Me.GroupBox4 = New System.Windows.Forms.GroupBox
        Me.ExportBtn = New System.Windows.Forms.Button
        Me.ImportBtn = New System.Windows.Forms.Button
        Me.ResetBtn = New System.Windows.Forms.Button
        Me.GroupBox2 = New System.Windows.Forms.GroupBox
        Me.ProxyPnl = New System.Windows.Forms.Panel
        Me.PortTxt = New System.Windows.Forms.TextBox
        Me.ProxyTxt = New System.Windows.Forms.TextBox
        Me.Label21 = New System.Windows.Forms.Label
        Me.Label20 = New System.Windows.Forms.Label
        Me.ProxyChk = New System.Windows.Forms.CheckBox
        Me.AdCancelBtn = New System.Windows.Forms.Button
        Me.AdApplyBtn = New System.Windows.Forms.Button
        Me.GroupBox1 = New System.Windows.Forms.GroupBox
        Me.Label22 = New System.Windows.Forms.Label
        Me.Label18 = New System.Windows.Forms.Label
        Me.Label17 = New System.Windows.Forms.Label
        Me.SecUD = New System.Windows.Forms.NumericUpDown
        Me.MinsUD = New System.Windows.Forms.NumericUpDown
        Me.HoursUD = New System.Windows.Forms.NumericUpDown
        Me.Label19 = New System.Windows.Forms.Label
        Me.AboutTab = New System.Windows.Forms.TabPage
        Me.Label25 = New System.Windows.Forms.Label
        Me.Label16 = New System.Windows.Forms.Label
        Me.PictureBox1 = New System.Windows.Forms.PictureBox
        Me.Label24 = New System.Windows.Forms.Label
        Me.Label23 = New System.Windows.Forms.Label
        Me.SaveFileDialog1 = New System.Windows.Forms.SaveFileDialog
        Me.AdvanceGB.SuspendLayout()
        CType(Me.DaysUpDown, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.OptionsTab.SuspendLayout()
        Me.LocationsTab.SuspendLayout()
        Me.ToolStrip1.SuspendLayout()
        Me.SearchLocPnl.SuspendLayout()
        Me.InfoPnl.SuspendLayout()
        Me.AddLocPnl.SuspendLayout()
        Me.UnitsTab.SuspendLayout()
        Me.GroupBox3.SuspendLayout()
        Me.AdvanceTab.SuspendLayout()
        Me.GroupBox4.SuspendLayout()
        Me.GroupBox2.SuspendLayout()
        Me.ProxyPnl.SuspendLayout()
        Me.GroupBox1.SuspendLayout()
        CType(Me.SecUD, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.MinsUD, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.HoursUD, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.AboutTab.SuspendLayout()
        CType(Me.PictureBox1, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.SuspendLayout()
        '
        'LocationsLst
        '
        Me.LocationsLst.ContextMenu = Me.LocationsMnu
        Me.LocationsLst.Location = New System.Drawing.Point(16, 32)
        Me.LocationsLst.Name = "LocationsLst"
        Me.LocationsLst.Size = New System.Drawing.Size(160, 264)
        Me.LocationsLst.TabIndex = 40
        Me.ToolTip1.SetToolTip(Me.LocationsLst, "Right Click for Menu")
        '
        'LocationsMnu
        '
        Me.LocationsMnu.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.AddMnu, Me.SearchMnu, Me.InfoMnu, Me.MenuItem6, Me.DeleteMnu, Me.DeleteAllMnu})
        '
        'AddMnu
        '
        Me.AddMnu.Index = 0
        Me.AddMnu.Text = "Add Location"
        '
        'SearchMnu
        '
        Me.SearchMnu.Index = 1
        Me.SearchMnu.Text = "Search for Location"
        '
        'InfoMnu
        '
        Me.InfoMnu.Index = 2
        Me.InfoMnu.Text = "Location Info"
        '
        'MenuItem6
        '
        Me.MenuItem6.Index = 3
        Me.MenuItem6.Text = "-"
        '
        'DeleteMnu
        '
        Me.DeleteMnu.Index = 4
        Me.DeleteMnu.Text = "Delete Location"
        '
        'DeleteAllMnu
        '
        Me.DeleteAllMnu.Index = 5
        Me.DeleteAllMnu.Text = "Delete All"
        '
        'AdvanceGB
        '
        Me.AdvanceGB.Controls.Add(Me.Label9)
        Me.AdvanceGB.Controls.Add(Me.Label8)
        Me.AdvanceGB.Controls.Add(Me.Label7)
        Me.AdvanceGB.Controls.Add(Me.Label6)
        Me.AdvanceGB.Controls.Add(Me.Label5)
        Me.AdvanceGB.Controls.Add(Me.Label4)
        Me.AdvanceGB.Controls.Add(Me.urCBox)
        Me.AdvanceGB.Controls.Add(Me.upCBox)
        Me.AdvanceGB.Controls.Add(Me.usCBox)
        Me.AdvanceGB.Controls.Add(Me.formCBox)
        Me.AdvanceGB.Controls.Add(Me.udCBox)
        Me.AdvanceGB.Controls.Add(Me.utCBox)
        Me.AdvanceGB.Controls.Add(Me.CustomTxt)
        Me.AdvanceGB.Location = New System.Drawing.Point(8, 56)
        Me.AdvanceGB.Name = "AdvanceGB"
        Me.AdvanceGB.Size = New System.Drawing.Size(248, 240)
        Me.AdvanceGB.TabIndex = 25
        Me.AdvanceGB.TabStop = False
        '
        'Label9
        '
        Me.Label9.Location = New System.Drawing.Point(24, 176)
        Me.Label9.Name = "Label9"
        Me.Label9.Size = New System.Drawing.Size(112, 24)
        Me.Label9.TabIndex = 29
        Me.Label9.Text = "Unit of Presure"
        Me.Label9.TextAlign = System.Drawing.ContentAlignment.MiddleRight
        '
        'Label8
        '
        Me.Label8.Location = New System.Drawing.Point(24, 144)
        Me.Label8.Name = "Label8"
        Me.Label8.Size = New System.Drawing.Size(112, 24)
        Me.Label8.TabIndex = 28
        Me.Label8.Text = "Unit of Precipitation"
        Me.Label8.TextAlign = System.Drawing.ContentAlignment.MiddleRight
        '
        'Label7
        '
        Me.Label7.Location = New System.Drawing.Point(24, 112)
        Me.Label7.Name = "Label7"
        Me.Label7.Size = New System.Drawing.Size(112, 24)
        Me.Label7.TabIndex = 27
        Me.Label7.Text = "Unit of Speed"
        Me.Label7.TextAlign = System.Drawing.ContentAlignment.MiddleRight
        '
        'Label6
        '
        Me.Label6.Location = New System.Drawing.Point(24, 80)
        Me.Label6.Name = "Label6"
        Me.Label6.Size = New System.Drawing.Size(112, 24)
        Me.Label6.TabIndex = 26
        Me.Label6.Text = "Unit of Distance"
        Me.Label6.TextAlign = System.Drawing.ContentAlignment.MiddleRight
        '
        'Label5
        '
        Me.Label5.Location = New System.Drawing.Point(24, 48)
        Me.Label5.Name = "Label5"
        Me.Label5.Size = New System.Drawing.Size(112, 24)
        Me.Label5.TabIndex = 25
        Me.Label5.Text = "Unit of Temperature"
        Me.Label5.TextAlign = System.Drawing.ContentAlignment.MiddleRight
        '
        'Label4
        '
        Me.Label4.Location = New System.Drawing.Point(8, 16)
        Me.Label4.Name = "Label4"
        Me.Label4.Size = New System.Drawing.Size(128, 24)
        Me.Label4.TabIndex = 24
        Me.Label4.Text = "Format of the document"
        Me.Label4.TextAlign = System.Drawing.ContentAlignment.MiddleRight
        '
        'urCBox
        '
        Me.urCBox.Location = New System.Drawing.Point(152, 176)
        Me.urCBox.Name = "urCBox"
        Me.urCBox.Size = New System.Drawing.Size(72, 21)
        Me.urCBox.TabIndex = 23
        '
        'upCBox
        '
        Me.upCBox.Location = New System.Drawing.Point(152, 144)
        Me.upCBox.Name = "upCBox"
        Me.upCBox.Size = New System.Drawing.Size(72, 21)
        Me.upCBox.TabIndex = 22
        '
        'usCBox
        '
        Me.usCBox.Location = New System.Drawing.Point(152, 112)
        Me.usCBox.Name = "usCBox"
        Me.usCBox.Size = New System.Drawing.Size(72, 21)
        Me.usCBox.TabIndex = 21
        '
        'formCBox
        '
        Me.formCBox.Location = New System.Drawing.Point(152, 16)
        Me.formCBox.Name = "formCBox"
        Me.formCBox.Size = New System.Drawing.Size(72, 21)
        Me.formCBox.TabIndex = 20
        '
        'udCBox
        '
        Me.udCBox.Location = New System.Drawing.Point(152, 80)
        Me.udCBox.Name = "udCBox"
        Me.udCBox.Size = New System.Drawing.Size(72, 21)
        Me.udCBox.TabIndex = 19
        '
        'utCBox
        '
        Me.utCBox.Location = New System.Drawing.Point(152, 48)
        Me.utCBox.Name = "utCBox"
        Me.utCBox.Size = New System.Drawing.Size(72, 21)
        Me.utCBox.TabIndex = 18
        '
        'CustomTxt
        '
        Me.CustomTxt.BackColor = System.Drawing.SystemColors.Window
        Me.CustomTxt.Location = New System.Drawing.Point(8, 208)
        Me.CustomTxt.Name = "CustomTxt"
        Me.CustomTxt.ReadOnly = True
        Me.CustomTxt.Size = New System.Drawing.Size(232, 20)
        Me.CustomTxt.TabIndex = 17
        '
        'LogChk
        '
        Me.LogChk.Location = New System.Drawing.Point(24, 96)
        Me.LogChk.Name = "LogChk"
        Me.LogChk.Size = New System.Drawing.Size(80, 16)
        Me.LogChk.TabIndex = 40
        Me.LogChk.Text = "Enable Log"
        Me.LogChk.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
        '
        'Label10
        '
        Me.Label10.Location = New System.Drawing.Point(16, 120)
        Me.Label10.Name = "Label10"
        Me.Label10.Size = New System.Drawing.Size(88, 16)
        Me.Label10.TabIndex = 38
        Me.Label10.Text = "Translation File:"
        '
        'DaysUpDown
        '
        Me.DaysUpDown.Location = New System.Drawing.Point(104, 64)
        Me.DaysUpDown.Maximum = New Decimal(New Integer() {10, 0, 0, 0})
        Me.DaysUpDown.Name = "DaysUpDown"
        Me.DaysUpDown.Size = New System.Drawing.Size(40, 20)
        Me.DaysUpDown.TabIndex = 36
        '
        'BrowseBtn
        '
        Me.BrowseBtn.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.0!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.BrowseBtn.Location = New System.Drawing.Point(208, 136)
        Me.BrowseBtn.Name = "BrowseBtn"
        Me.BrowseBtn.Size = New System.Drawing.Size(24, 24)
        Me.BrowseBtn.TabIndex = 34
        Me.BrowseBtn.Text = "..."
        Me.BrowseBtn.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        '
        'TranslationTxt
        '
        Me.TranslationTxt.Location = New System.Drawing.Point(16, 136)
        Me.TranslationTxt.Name = "TranslationTxt"
        Me.TranslationTxt.Size = New System.Drawing.Size(184, 20)
        Me.TranslationTxt.TabIndex = 33
        '
        'DaysLbl
        '
        Me.DaysLbl.Location = New System.Drawing.Point(16, 64)
        Me.DaysLbl.Name = "DaysLbl"
        Me.DaysLbl.Size = New System.Drawing.Size(88, 23)
        Me.DaysLbl.TabIndex = 32
        Me.DaysLbl.Text = "Number of Days"
        Me.DaysLbl.TextAlign = System.Drawing.ContentAlignment.MiddleLeft
        '
        'OptionsTab
        '
        Me.OptionsTab.Appearance = System.Windows.Forms.TabAppearance.FlatButtons
        Me.OptionsTab.Controls.Add(Me.LocationsTab)
        Me.OptionsTab.Controls.Add(Me.UnitsTab)
        Me.OptionsTab.Controls.Add(Me.AdvanceTab)
        Me.OptionsTab.Controls.Add(Me.AboutTab)
        Me.OptionsTab.Location = New System.Drawing.Point(0, 0)
        Me.OptionsTab.Multiline = True
        Me.OptionsTab.Name = "OptionsTab"
        Me.OptionsTab.SelectedIndex = 0
        Me.OptionsTab.Size = New System.Drawing.Size(512, 376)
        Me.OptionsTab.TabIndex = 28
        '
        'LocationsTab
        '
        Me.LocationsTab.BackColor = System.Drawing.SystemColors.Control
        Me.LocationsTab.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
        Me.LocationsTab.Controls.Add(Me.ToolStrip1)
        Me.LocationsTab.Controls.Add(Me.SearchLocPnl)
        Me.LocationsTab.Controls.Add(Me.InfoPnl)
        Me.LocationsTab.Controls.Add(Me.LocationCancel)
        Me.LocationsTab.Controls.Add(Me.LocationApply)
        Me.LocationsTab.Controls.Add(Me.LocationsLst)
        Me.LocationsTab.Controls.Add(Me.AddLocPnl)
        Me.LocationsTab.Location = New System.Drawing.Point(4, 25)
        Me.LocationsTab.Name = "LocationsTab"
        Me.LocationsTab.Size = New System.Drawing.Size(504, 347)
        Me.LocationsTab.TabIndex = 0
        Me.LocationsTab.Text = "Location ID's"
        '
        'ToolStrip1
        '
        Me.ToolStrip1.Dock = System.Windows.Forms.DockStyle.None
        Me.ToolStrip1.GripStyle = System.Windows.Forms.ToolStripGripStyle.Hidden
        Me.ToolStrip1.Items.AddRange(New System.Windows.Forms.ToolStripItem() {Me.ToolStripAdd, Me.ToolStripFind, Me.ToolStripRemove, Me.ToolStripDelete, Me.ToolStripClear})
        Me.ToolStrip1.Location = New System.Drawing.Point(18, 4)
        Me.ToolStrip1.Name = "ToolStrip1"
        Me.ToolStrip1.Size = New System.Drawing.Size(118, 25)
        Me.ToolStrip1.TabIndex = 47
        Me.ToolStrip1.Text = "ToolStrip1"
        '
        'ToolStripAdd
        '
        Me.ToolStripAdd.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
        Me.ToolStripAdd.Image = CType(resources.GetObject("ToolStripAdd.Image"), System.Drawing.Image)
        Me.ToolStripAdd.ImageTransparentColor = System.Drawing.Color.Black
        Me.ToolStripAdd.Name = "ToolStripAdd"
        Me.ToolStripAdd.Size = New System.Drawing.Size(23, 22)
        Me.ToolStripAdd.Text = "ToolStripButton1"
        Me.ToolStripAdd.ToolTipText = "Add Location ID"
        '
        'ToolStripFind
        '
        Me.ToolStripFind.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
        Me.ToolStripFind.Image = CType(resources.GetObject("ToolStripFind.Image"), System.Drawing.Image)
        Me.ToolStripFind.ImageTransparentColor = System.Drawing.Color.Black
        Me.ToolStripFind.Name = "ToolStripFind"
        Me.ToolStripFind.Size = New System.Drawing.Size(23, 22)
        Me.ToolStripFind.Text = "ToolStripButton2"
        Me.ToolStripFind.ToolTipText = "Search for Location"
        '
        'ToolStripRemove
        '
        Me.ToolStripRemove.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
        Me.ToolStripRemove.Image = CType(resources.GetObject("ToolStripRemove.Image"), System.Drawing.Image)
        Me.ToolStripRemove.ImageTransparentColor = System.Drawing.Color.Black
        Me.ToolStripRemove.Name = "ToolStripRemove"
        Me.ToolStripRemove.Size = New System.Drawing.Size(23, 22)
        Me.ToolStripRemove.Text = "ToolStripButton3"
        Me.ToolStripRemove.ToolTipText = "Location Information"
        '
        'ToolStripDelete
        '
        Me.ToolStripDelete.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
        Me.ToolStripDelete.Image = CType(resources.GetObject("ToolStripDelete.Image"), System.Drawing.Image)
        Me.ToolStripDelete.ImageTransparentColor = System.Drawing.Color.Black
        Me.ToolStripDelete.Name = "ToolStripDelete"
        Me.ToolStripDelete.Size = New System.Drawing.Size(23, 22)
        Me.ToolStripDelete.Text = "ToolStripButton4"
        Me.ToolStripDelete.ToolTipText = "Delete Selected"
        '
        'ToolStripClear
        '
        Me.ToolStripClear.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
        Me.ToolStripClear.Image = CType(resources.GetObject("ToolStripClear.Image"), System.Drawing.Image)
        Me.ToolStripClear.ImageTransparentColor = System.Drawing.Color.White
        Me.ToolStripClear.Name = "ToolStripClear"
        Me.ToolStripClear.Size = New System.Drawing.Size(23, 22)
        Me.ToolStripClear.Text = "ToolStripButton5"
        Me.ToolStripClear.ToolTipText = "Delete All"
        '
        'SearchLocPnl
        '
        Me.SearchLocPnl.Controls.Add(Me.Label1)
        Me.SearchLocPnl.Controls.Add(Me.Button3)
        Me.SearchLocPnl.Controls.Add(Me.SearchhtmlBtn)
        Me.SearchLocPnl.Controls.Add(Me.SearchTxt)
        Me.SearchLocPnl.Controls.Add(Me.SearchLst)
        Me.SearchLocPnl.Controls.Add(Me.BtnOK)
        Me.SearchLocPnl.Location = New System.Drawing.Point(184, 24)
        Me.SearchLocPnl.Name = "SearchLocPnl"
        Me.SearchLocPnl.Size = New System.Drawing.Size(304, 272)
        Me.SearchLocPnl.TabIndex = 41
        Me.SearchLocPnl.TabStop = False
        '
        'Label1
        '
        Me.Label1.Location = New System.Drawing.Point(16, 24)
        Me.Label1.Name = "Label1"
        Me.Label1.Size = New System.Drawing.Size(192, 16)
        Me.Label1.TabIndex = 12
        Me.Label1.Text = "Zip Code or address to search for:"
        '
        'Button3
        '
        Me.Button3.Location = New System.Drawing.Point(152, 232)
        Me.Button3.Name = "Button3"
        Me.Button3.Size = New System.Drawing.Size(80, 24)
        Me.Button3.TabIndex = 11
        Me.Button3.Text = "Cancel"
        '
        'SearchhtmlBtn
        '
        Me.SearchhtmlBtn.Location = New System.Drawing.Point(224, 32)
        Me.SearchhtmlBtn.Name = "SearchhtmlBtn"
        Me.SearchhtmlBtn.Size = New System.Drawing.Size(56, 32)
        Me.SearchhtmlBtn.TabIndex = 10
        Me.SearchhtmlBtn.Text = "Search"
        '
        'SearchTxt
        '
        Me.SearchTxt.Location = New System.Drawing.Point(16, 40)
        Me.SearchTxt.Name = "SearchTxt"
        Me.SearchTxt.Size = New System.Drawing.Size(200, 20)
        Me.SearchTxt.TabIndex = 9
        '
        'SearchLst
        '
        Me.SearchLst.Location = New System.Drawing.Point(16, 72)
        Me.SearchLst.Name = "SearchLst"
        Me.SearchLst.Size = New System.Drawing.Size(272, 147)
        Me.SearchLst.TabIndex = 8
        '
        'BtnOK
        '
        Me.BtnOK.Location = New System.Drawing.Point(64, 232)
        Me.BtnOK.Name = "BtnOK"
        Me.BtnOK.Size = New System.Drawing.Size(80, 24)
        Me.BtnOK.TabIndex = 7
        Me.BtnOK.Text = "Add"
        '
        'InfoPnl
        '
        Me.InfoPnl.Controls.Add(Me.InfoHideBtn)
        Me.InfoPnl.Controls.Add(Me.InfoStationTxt)
        Me.InfoPnl.Controls.Add(Me.Label15)
        Me.InfoPnl.Controls.Add(Me.InfoTimeTxt)
        Me.InfoPnl.Controls.Add(Me.Label14)
        Me.InfoPnl.Controls.Add(Me.InfoLonTxt)
        Me.InfoPnl.Controls.Add(Me.Label13)
        Me.InfoPnl.Controls.Add(Me.InfoLatTxt)
        Me.InfoPnl.Controls.Add(Me.Label12)
        Me.InfoPnl.Controls.Add(Me.InfoLocTxt)
        Me.InfoPnl.Controls.Add(Me.Label11)
        Me.InfoPnl.Controls.Add(Me.Label3)
        Me.InfoPnl.Controls.Add(Me.InfoLocIDTxt)
        Me.InfoPnl.Location = New System.Drawing.Point(184, 32)
        Me.InfoPnl.Name = "InfoPnl"
        Me.InfoPnl.Size = New System.Drawing.Size(304, 248)
        Me.InfoPnl.TabIndex = 45
        Me.InfoPnl.TabStop = False
        '
        'InfoHideBtn
        '
        Me.InfoHideBtn.Location = New System.Drawing.Point(112, 208)
        Me.InfoHideBtn.Name = "InfoHideBtn"
        Me.InfoHideBtn.Size = New System.Drawing.Size(75, 23)
        Me.InfoHideBtn.TabIndex = 12
        Me.InfoHideBtn.Text = "Hide"
        '
        'InfoStationTxt
        '
        Me.InfoStationTxt.Location = New System.Drawing.Point(80, 176)
        Me.InfoStationTxt.Name = "InfoStationTxt"
        Me.InfoStationTxt.ReadOnly = True
        Me.InfoStationTxt.Size = New System.Drawing.Size(216, 20)
        Me.InfoStationTxt.TabIndex = 11
        '
        'Label15
        '
        Me.Label15.Location = New System.Drawing.Point(8, 160)
        Me.Label15.Name = "Label15"
        Me.Label15.Size = New System.Drawing.Size(112, 32)
        Me.Label15.TabIndex = 10
        Me.Label15.Text = "Observation station:"
        '
        'InfoTimeTxt
        '
        Me.InfoTimeTxt.Location = New System.Drawing.Point(80, 136)
        Me.InfoTimeTxt.Name = "InfoTimeTxt"
        Me.InfoTimeTxt.ReadOnly = True
        Me.InfoTimeTxt.Size = New System.Drawing.Size(88, 20)
        Me.InfoTimeTxt.TabIndex = 9
        '
        'Label14
        '
        Me.Label14.Location = New System.Drawing.Point(8, 112)
        Me.Label14.Name = "Label14"
        Me.Label14.Size = New System.Drawing.Size(136, 24)
        Me.Label14.TabIndex = 8
        Me.Label14.Text = "Time zone (GMT Offset)"
        Me.Label14.TextAlign = System.Drawing.ContentAlignment.MiddleLeft
        '
        'InfoLonTxt
        '
        Me.InfoLonTxt.Location = New System.Drawing.Point(80, 88)
        Me.InfoLonTxt.Name = "InfoLonTxt"
        Me.InfoLonTxt.ReadOnly = True
        Me.InfoLonTxt.Size = New System.Drawing.Size(88, 20)
        Me.InfoLonTxt.TabIndex = 7
        '
        'Label13
        '
        Me.Label13.Location = New System.Drawing.Point(8, 88)
        Me.Label13.Name = "Label13"
        Me.Label13.Size = New System.Drawing.Size(64, 24)
        Me.Label13.TabIndex = 6
        Me.Label13.Text = "Longitude"
        Me.Label13.TextAlign = System.Drawing.ContentAlignment.MiddleLeft
        '
        'InfoLatTxt
        '
        Me.InfoLatTxt.Location = New System.Drawing.Point(80, 64)
        Me.InfoLatTxt.Name = "InfoLatTxt"
        Me.InfoLatTxt.ReadOnly = True
        Me.InfoLatTxt.Size = New System.Drawing.Size(88, 20)
        Me.InfoLatTxt.TabIndex = 5
        '
        'Label12
        '
        Me.Label12.Location = New System.Drawing.Point(8, 64)
        Me.Label12.Name = "Label12"
        Me.Label12.Size = New System.Drawing.Size(64, 24)
        Me.Label12.TabIndex = 4
        Me.Label12.Text = "Latitude"
        Me.Label12.TextAlign = System.Drawing.ContentAlignment.MiddleLeft
        '
        'InfoLocTxt
        '
        Me.InfoLocTxt.Location = New System.Drawing.Point(80, 40)
        Me.InfoLocTxt.Name = "InfoLocTxt"
        Me.InfoLocTxt.ReadOnly = True
        Me.InfoLocTxt.Size = New System.Drawing.Size(216, 20)
        Me.InfoLocTxt.TabIndex = 3
        '
        'Label11
        '
        Me.Label11.Location = New System.Drawing.Point(8, 40)
        Me.Label11.Name = "Label11"
        Me.Label11.Size = New System.Drawing.Size(64, 24)
        Me.Label11.TabIndex = 2
        Me.Label11.Text = "Location"
        Me.Label11.TextAlign = System.Drawing.ContentAlignment.MiddleLeft
        '
        'Label3
        '
        Me.Label3.Location = New System.Drawing.Point(8, 16)
        Me.Label3.Name = "Label3"
        Me.Label3.Size = New System.Drawing.Size(64, 24)
        Me.Label3.TabIndex = 1
        Me.Label3.Text = "Location ID"
        Me.Label3.TextAlign = System.Drawing.ContentAlignment.MiddleLeft
        '
        'InfoLocIDTxt
        '
        Me.InfoLocIDTxt.Location = New System.Drawing.Point(80, 16)
        Me.InfoLocIDTxt.Name = "InfoLocIDTxt"
        Me.InfoLocIDTxt.ReadOnly = True
        Me.InfoLocIDTxt.Size = New System.Drawing.Size(88, 20)
        Me.InfoLocIDTxt.TabIndex = 0
        '
        'LocationCancel
        '
        Me.LocationCancel.Location = New System.Drawing.Point(120, 312)
        Me.LocationCancel.Name = "LocationCancel"
        Me.LocationCancel.Size = New System.Drawing.Size(88, 24)
        Me.LocationCancel.TabIndex = 44
        Me.LocationCancel.Text = "Cancel"
        '
        'LocationApply
        '
        Me.LocationApply.Location = New System.Drawing.Point(16, 312)
        Me.LocationApply.Name = "LocationApply"
        Me.LocationApply.Size = New System.Drawing.Size(88, 24)
        Me.LocationApply.TabIndex = 43
        Me.LocationApply.Text = "Apply"
        '
        'AddLocPnl
        '
        Me.AddLocPnl.Controls.Add(Me.AddLocCancelBtn)
        Me.AddLocPnl.Controls.Add(Me.AddLocBtn)
        Me.AddLocPnl.Controls.Add(Me.Label2)
        Me.AddLocPnl.Controls.Add(Me.AddLocTxt)
        Me.AddLocPnl.Location = New System.Drawing.Point(184, 32)
        Me.AddLocPnl.Name = "AddLocPnl"
        Me.AddLocPnl.Size = New System.Drawing.Size(304, 128)
        Me.AddLocPnl.TabIndex = 42
        Me.AddLocPnl.TabStop = False
        '
        'AddLocCancelBtn
        '
        Me.AddLocCancelBtn.Location = New System.Drawing.Point(160, 80)
        Me.AddLocCancelBtn.Name = "AddLocCancelBtn"
        Me.AddLocCancelBtn.Size = New System.Drawing.Size(80, 32)
        Me.AddLocCancelBtn.TabIndex = 3
        Me.AddLocCancelBtn.Text = "Cancel"
        '
        'AddLocBtn
        '
        Me.AddLocBtn.Location = New System.Drawing.Point(56, 80)
        Me.AddLocBtn.Name = "AddLocBtn"
        Me.AddLocBtn.Size = New System.Drawing.Size(80, 32)
        Me.AddLocBtn.TabIndex = 2
        Me.AddLocBtn.Text = "Add"
        '
        'Label2
        '
        Me.Label2.Location = New System.Drawing.Point(16, 24)
        Me.Label2.Name = "Label2"
        Me.Label2.Size = New System.Drawing.Size(200, 16)
        Me.Label2.TabIndex = 1
        Me.Label2.Text = "Enter your Weather.com Location ID:"
        '
        'AddLocTxt
        '
        Me.AddLocTxt.Location = New System.Drawing.Point(56, 48)
        Me.AddLocTxt.Name = "AddLocTxt"
        Me.AddLocTxt.Size = New System.Drawing.Size(192, 20)
        Me.AddLocTxt.TabIndex = 0
        '
        'UnitsTab
        '
        Me.UnitsTab.BackColor = System.Drawing.Color.Transparent
        Me.UnitsTab.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
        Me.UnitsTab.Controls.Add(Me.UnitsCancel)
        Me.UnitsTab.Controls.Add(Me.UnitsApply)
        Me.UnitsTab.Controls.Add(Me.GroupBox3)
        Me.UnitsTab.Controls.Add(Me.AdvanceGB)
        Me.UnitsTab.Location = New System.Drawing.Point(4, 25)
        Me.UnitsTab.Name = "UnitsTab"
        Me.UnitsTab.Size = New System.Drawing.Size(504, 347)
        Me.UnitsTab.TabIndex = 1
        Me.UnitsTab.Text = "Measurment Units"
        '
        'UnitsCancel
        '
        Me.UnitsCancel.Location = New System.Drawing.Point(120, 312)
        Me.UnitsCancel.Name = "UnitsCancel"
        Me.UnitsCancel.Size = New System.Drawing.Size(88, 24)
        Me.UnitsCancel.TabIndex = 37
        Me.UnitsCancel.Text = "Cancel"
        '
        'UnitsApply
        '
        Me.UnitsApply.Location = New System.Drawing.Point(16, 312)
        Me.UnitsApply.Name = "UnitsApply"
        Me.UnitsApply.Size = New System.Drawing.Size(88, 24)
        Me.UnitsApply.TabIndex = 36
        Me.UnitsApply.Text = "Apply"
        '
        'GroupBox3
        '
        Me.GroupBox3.Controls.Add(Me.AmericanBtn)
        Me.GroupBox3.Controls.Add(Me.MetricBtn)
        Me.GroupBox3.Controls.Add(Me.CustomBtn)
        Me.GroupBox3.Controls.Add(Me.EnglishBtn)
        Me.GroupBox3.Location = New System.Drawing.Point(8, 0)
        Me.GroupBox3.Name = "GroupBox3"
        Me.GroupBox3.Size = New System.Drawing.Size(248, 56)
        Me.GroupBox3.TabIndex = 35
        Me.GroupBox3.TabStop = False
        '
        'AmericanBtn
        '
        Me.AmericanBtn.Location = New System.Drawing.Point(24, 8)
        Me.AmericanBtn.Name = "AmericanBtn"
        Me.AmericanBtn.Size = New System.Drawing.Size(80, 24)
        Me.AmericanBtn.TabIndex = 31
        Me.AmericanBtn.Text = "American"
        '
        'MetricBtn
        '
        Me.MetricBtn.Location = New System.Drawing.Point(24, 32)
        Me.MetricBtn.Name = "MetricBtn"
        Me.MetricBtn.Size = New System.Drawing.Size(80, 24)
        Me.MetricBtn.TabIndex = 33
        Me.MetricBtn.Text = "Metric"
        '
        'CustomBtn
        '
        Me.CustomBtn.Location = New System.Drawing.Point(144, 32)
        Me.CustomBtn.Name = "CustomBtn"
        Me.CustomBtn.RightToLeft = System.Windows.Forms.RightToLeft.Yes
        Me.CustomBtn.Size = New System.Drawing.Size(80, 24)
        Me.CustomBtn.TabIndex = 34
        Me.CustomBtn.Text = "Custom"
        '
        'EnglishBtn
        '
        Me.EnglishBtn.Location = New System.Drawing.Point(144, 8)
        Me.EnglishBtn.Name = "EnglishBtn"
        Me.EnglishBtn.RightToLeft = System.Windows.Forms.RightToLeft.Yes
        Me.EnglishBtn.Size = New System.Drawing.Size(80, 24)
        Me.EnglishBtn.TabIndex = 32
        Me.EnglishBtn.Text = "English"
        '
        'AdvanceTab
        '
        Me.AdvanceTab.BackColor = System.Drawing.Color.Transparent
        Me.AdvanceTab.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
        Me.AdvanceTab.Controls.Add(Me.GroupBox4)
        Me.AdvanceTab.Controls.Add(Me.GroupBox2)
        Me.AdvanceTab.Controls.Add(Me.AdCancelBtn)
        Me.AdvanceTab.Controls.Add(Me.AdApplyBtn)
        Me.AdvanceTab.Controls.Add(Me.GroupBox1)
        Me.AdvanceTab.Location = New System.Drawing.Point(4, 25)
        Me.AdvanceTab.Name = "AdvanceTab"
        Me.AdvanceTab.Size = New System.Drawing.Size(504, 347)
        Me.AdvanceTab.TabIndex = 2
        Me.AdvanceTab.Text = "Advanced Settings"
        '
        'GroupBox4
        '
        Me.GroupBox4.Controls.Add(Me.ExportBtn)
        Me.GroupBox4.Controls.Add(Me.ImportBtn)
        Me.GroupBox4.Controls.Add(Me.ResetBtn)
        Me.GroupBox4.Location = New System.Drawing.Point(288, 8)
        Me.GroupBox4.Name = "GroupBox4"
        Me.GroupBox4.Size = New System.Drawing.Size(184, 176)
        Me.GroupBox4.TabIndex = 46
        Me.GroupBox4.TabStop = False
        '
        'ExportBtn
        '
        Me.ExportBtn.Location = New System.Drawing.Point(56, 64)
        Me.ExportBtn.Name = "ExportBtn"
        Me.ExportBtn.Size = New System.Drawing.Size(72, 32)
        Me.ExportBtn.TabIndex = 46
        Me.ExportBtn.Text = "Export"
        '
        'ImportBtn
        '
        Me.ImportBtn.Location = New System.Drawing.Point(56, 24)
        Me.ImportBtn.Name = "ImportBtn"
        Me.ImportBtn.Size = New System.Drawing.Size(72, 32)
        Me.ImportBtn.TabIndex = 45
        Me.ImportBtn.Text = "Import"
        '
        'ResetBtn
        '
        Me.ResetBtn.Location = New System.Drawing.Point(56, 120)
        Me.ResetBtn.Name = "ResetBtn"
        Me.ResetBtn.Size = New System.Drawing.Size(72, 40)
        Me.ResetBtn.TabIndex = 44
        Me.ResetBtn.Text = "Reset All Settings"
        Me.ResetBtn.UseVisualStyleBackColor = False
        '
        'GroupBox2
        '
        Me.GroupBox2.Controls.Add(Me.ProxyPnl)
        Me.GroupBox2.Controls.Add(Me.ProxyChk)
        Me.GroupBox2.Location = New System.Drawing.Point(16, 184)
        Me.GroupBox2.Name = "GroupBox2"
        Me.GroupBox2.Size = New System.Drawing.Size(384, 96)
        Me.GroupBox2.TabIndex = 45
        Me.GroupBox2.TabStop = False
        '
        'ProxyPnl
        '
        Me.ProxyPnl.Controls.Add(Me.PortTxt)
        Me.ProxyPnl.Controls.Add(Me.ProxyTxt)
        Me.ProxyPnl.Controls.Add(Me.Label21)
        Me.ProxyPnl.Controls.Add(Me.Label20)
        Me.ProxyPnl.Location = New System.Drawing.Point(8, 40)
        Me.ProxyPnl.Name = "ProxyPnl"
        Me.ProxyPnl.Size = New System.Drawing.Size(368, 40)
        Me.ProxyPnl.TabIndex = 1
        '
        'PortTxt
        '
        Me.PortTxt.Location = New System.Drawing.Point(312, 8)
        Me.PortTxt.Name = "PortTxt"
        Me.PortTxt.Size = New System.Drawing.Size(48, 20)
        Me.PortTxt.TabIndex = 3
        '
        'ProxyTxt
        '
        Me.ProxyTxt.Location = New System.Drawing.Point(56, 8)
        Me.ProxyTxt.Name = "ProxyTxt"
        Me.ProxyTxt.Size = New System.Drawing.Size(224, 20)
        Me.ProxyTxt.TabIndex = 2
        '
        'Label21
        '
        Me.Label21.Location = New System.Drawing.Point(280, 8)
        Me.Label21.Name = "Label21"
        Me.Label21.Size = New System.Drawing.Size(32, 16)
        Me.Label21.TabIndex = 1
        Me.Label21.Text = "Port"
        Me.Label21.TextAlign = System.Drawing.ContentAlignment.MiddleLeft
        '
        'Label20
        '
        Me.Label20.Location = New System.Drawing.Point(8, 8)
        Me.Label20.Name = "Label20"
        Me.Label20.Size = New System.Drawing.Size(56, 16)
        Me.Label20.TabIndex = 0
        Me.Label20.Text = "Address"
        Me.Label20.TextAlign = System.Drawing.ContentAlignment.MiddleLeft
        '
        'ProxyChk
        '
        Me.ProxyChk.Location = New System.Drawing.Point(16, 16)
        Me.ProxyChk.Name = "ProxyChk"
        Me.ProxyChk.Size = New System.Drawing.Size(232, 16)
        Me.ProxyChk.TabIndex = 0
        Me.ProxyChk.Text = "Overide Internet Explorer Proxy Settings"
        '
        'AdCancelBtn
        '
        Me.AdCancelBtn.Location = New System.Drawing.Point(120, 312)
        Me.AdCancelBtn.Name = "AdCancelBtn"
        Me.AdCancelBtn.Size = New System.Drawing.Size(88, 24)
        Me.AdCancelBtn.TabIndex = 43
        Me.AdCancelBtn.Text = "Cancel"
        '
        'AdApplyBtn
        '
        Me.AdApplyBtn.Location = New System.Drawing.Point(16, 312)
        Me.AdApplyBtn.Name = "AdApplyBtn"
        Me.AdApplyBtn.Size = New System.Drawing.Size(88, 24)
        Me.AdApplyBtn.TabIndex = 42
        Me.AdApplyBtn.Text = "Apply"
        '
        'GroupBox1
        '
        Me.GroupBox1.Controls.Add(Me.Label22)
        Me.GroupBox1.Controls.Add(Me.DaysLbl)
        Me.GroupBox1.Controls.Add(Me.DaysUpDown)
        Me.GroupBox1.Controls.Add(Me.BrowseBtn)
        Me.GroupBox1.Controls.Add(Me.TranslationTxt)
        Me.GroupBox1.Controls.Add(Me.Label10)
        Me.GroupBox1.Controls.Add(Me.Label18)
        Me.GroupBox1.Controls.Add(Me.Label17)
        Me.GroupBox1.Controls.Add(Me.SecUD)
        Me.GroupBox1.Controls.Add(Me.MinsUD)
        Me.GroupBox1.Controls.Add(Me.HoursUD)
        Me.GroupBox1.Controls.Add(Me.Label19)
        Me.GroupBox1.Controls.Add(Me.LogChk)
        Me.GroupBox1.Location = New System.Drawing.Point(16, 8)
        Me.GroupBox1.Name = "GroupBox1"
        Me.GroupBox1.Size = New System.Drawing.Size(264, 176)
        Me.GroupBox1.TabIndex = 41
        Me.GroupBox1.TabStop = False
        '
        'Label22
        '
        Me.Label22.Location = New System.Drawing.Point(112, 16)
        Me.Label22.Name = "Label22"
        Me.Label22.Size = New System.Drawing.Size(152, 16)
        Me.Label22.TabIndex = 51
        Me.Label22.Text = "hours : minutes : seconds"
        '
        'Label18
        '
        Me.Label18.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label18.Location = New System.Drawing.Point(192, 32)
        Me.Label18.Name = "Label18"
        Me.Label18.Size = New System.Drawing.Size(8, 16)
        Me.Label18.TabIndex = 49
        Me.Label18.Text = ":"
        Me.Label18.TextAlign = System.Drawing.ContentAlignment.MiddleLeft
        '
        'Label17
        '
        Me.Label17.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label17.Location = New System.Drawing.Point(144, 32)
        Me.Label17.Name = "Label17"
        Me.Label17.Size = New System.Drawing.Size(8, 16)
        Me.Label17.TabIndex = 48
        Me.Label17.Text = ":"
        Me.Label17.TextAlign = System.Drawing.ContentAlignment.MiddleLeft
        '
        'SecUD
        '
        Me.SecUD.Location = New System.Drawing.Point(200, 32)
        Me.SecUD.Maximum = New Decimal(New Integer() {59, 0, 0, 0})
        Me.SecUD.Name = "SecUD"
        Me.SecUD.Size = New System.Drawing.Size(40, 20)
        Me.SecUD.TabIndex = 47
        '
        'MinsUD
        '
        Me.MinsUD.Location = New System.Drawing.Point(152, 32)
        Me.MinsUD.Maximum = New Decimal(New Integer() {59, 0, 0, 0})
        Me.MinsUD.Name = "MinsUD"
        Me.MinsUD.Size = New System.Drawing.Size(40, 20)
        Me.MinsUD.TabIndex = 46
        '
        'HoursUD
        '
        Me.HoursUD.Location = New System.Drawing.Point(104, 32)
        Me.HoursUD.Maximum = New Decimal(New Integer() {23, 0, 0, 0})
        Me.HoursUD.Name = "HoursUD"
        Me.HoursUD.Size = New System.Drawing.Size(40, 20)
        Me.HoursUD.TabIndex = 45
        '
        'Label19
        '
        Me.Label19.Location = New System.Drawing.Point(16, 32)
        Me.Label19.Name = "Label19"
        Me.Label19.Size = New System.Drawing.Size(72, 24)
        Me.Label19.TabIndex = 50
        Me.Label19.Text = "Refresh Time"
        Me.Label19.TextAlign = System.Drawing.ContentAlignment.MiddleLeft
        '
        'AboutTab
        '
        Me.AboutTab.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
        Me.AboutTab.Controls.Add(Me.Label25)
        Me.AboutTab.Controls.Add(Me.Label16)
        Me.AboutTab.Controls.Add(Me.PictureBox1)
        Me.AboutTab.Controls.Add(Me.Label24)
        Me.AboutTab.Controls.Add(Me.Label23)
        Me.AboutTab.Location = New System.Drawing.Point(4, 25)
        Me.AboutTab.Name = "AboutTab"
        Me.AboutTab.Size = New System.Drawing.Size(504, 347)
        Me.AboutTab.TabIndex = 3
        Me.AboutTab.Text = "About"
        '
        'Label25
        '
        Me.Label25.AutoSize = True
        Me.Label25.Location = New System.Drawing.Point(283, 196)
        Me.Label25.Name = "Label25"
        Me.Label25.Size = New System.Drawing.Size(79, 13)
        Me.Label25.TabIndex = 4
        Me.Label25.Text = "weather.com"
        '
        'Label16
        '
        Me.Label16.AutoSize = True
        Me.Label16.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label16.Location = New System.Drawing.Point(157, 196)
        Me.Label16.Name = "Label16"
        Me.Label16.Size = New System.Drawing.Size(130, 13)
        Me.Label16.TabIndex = 3
        Me.Label16.Text = "Weather data provided by"
        '
        'PictureBox1
        '
        Me.PictureBox1.Image = CType(resources.GetObject("PictureBox1.Image"), System.Drawing.Image)
        Me.PictureBox1.Location = New System.Drawing.Point(216, 128)
        Me.PictureBox1.Name = "PictureBox1"
        Me.PictureBox1.Size = New System.Drawing.Size(67, 65)
        Me.PictureBox1.TabIndex = 2
        Me.PictureBox1.TabStop = False
        '
        'Label24
        '
        Me.Label24.Location = New System.Drawing.Point(144, 48)
        Me.Label24.Name = "Label24"
        Me.Label24.Size = New System.Drawing.Size(192, 16)
        Me.Label24.TabIndex = 1
        Me.Label24.Text = "Version 0.92.2"
        Me.Label24.TextAlign = System.Drawing.ContentAlignment.TopCenter
        '
        'Label23
        '
        Me.Label23.BackColor = System.Drawing.Color.Transparent
        Me.Label23.Font = New System.Drawing.Font("Microsoft Sans Serif", 14.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label23.Location = New System.Drawing.Point(104, 16)
        Me.Label23.Name = "Label23"
        Me.Label23.Size = New System.Drawing.Size(288, 32)
        Me.Label23.TabIndex = 0
        Me.Label23.Text = "LCDStudio Weather.com Plugin"
        '
        'GUISetting_Tab
        '
        Me.BackColor = System.Drawing.SystemColors.Control
        Me.Controls.Add(Me.OptionsTab)
        Me.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Name = "GUISetting_Tab"
        Me.Size = New System.Drawing.Size(1080, 744)
        Me.AdvanceGB.ResumeLayout(False)
        Me.AdvanceGB.PerformLayout()
        CType(Me.DaysUpDown, System.ComponentModel.ISupportInitialize).EndInit()
        Me.OptionsTab.ResumeLayout(False)
        Me.LocationsTab.ResumeLayout(False)
        Me.LocationsTab.PerformLayout()
        Me.ToolStrip1.ResumeLayout(False)
        Me.ToolStrip1.PerformLayout()
        Me.SearchLocPnl.ResumeLayout(False)
        Me.SearchLocPnl.PerformLayout()
        Me.InfoPnl.ResumeLayout(False)
        Me.InfoPnl.PerformLayout()
        Me.AddLocPnl.ResumeLayout(False)
        Me.AddLocPnl.PerformLayout()
        Me.UnitsTab.ResumeLayout(False)
        Me.GroupBox3.ResumeLayout(False)
        Me.AdvanceTab.ResumeLayout(False)
        Me.GroupBox4.ResumeLayout(False)
        Me.GroupBox2.ResumeLayout(False)
        Me.ProxyPnl.ResumeLayout(False)
        Me.ProxyPnl.PerformLayout()
        Me.GroupBox1.ResumeLayout(False)
        Me.GroupBox1.PerformLayout()
        CType(Me.SecUD, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.MinsUD, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.HoursUD, System.ComponentModel.ISupportInitialize).EndInit()
        Me.AboutTab.ResumeLayout(False)
        Me.AboutTab.PerformLayout()
        CType(Me.PictureBox1, System.ComponentModel.ISupportInitialize).EndInit()
        Me.ResumeLayout(False)

    End Sub

#End Region

#Region "    Controls     "
    Private Sub AmericanBtn_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AmericanBtn.CheckedChanged
        AdvanceGB.Enabled = False
    End Sub

    Private Sub EnglishBtn_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EnglishBtn.CheckedChanged
        AdvanceGB.Enabled = False
    End Sub

    Private Sub MetricBtn_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MetricBtn.CheckedChanged
        AdvanceGB.Enabled = False
    End Sub

    Private Sub CustomBtn_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CustomBtn.CheckedChanged
        AdvanceGB.Enabled = True
    End Sub

    Private Sub BrowseBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BrowseBtn.Click
        Try
            With OpenFileDialog1
                'With statement is used to execute statements using a particular object, here,_
                'OpenFileDialog1
                .Filter = "Text files (*.txt)|*.txt|" & "All files|*.*"
                .Title = "Open Translation File"
                'setting filters so that Text files and All Files choice appears in the Files of Type box
                'in the dialog
                .ShowDialog()
                If .FileName <> Nothing Then
                    'showDialog method makes the dialog box visible at run time
                    TranslationTxt.Text = .FileName
                End If
            End With
        Catch es As Exception
        End Try
    End Sub

    Private Sub PictureBox1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Process.Start("www.weather.com")
    End Sub

    Private Sub formCBox_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles formCBox.SelectedIndexChanged
        AdSett(0) = formCBox.SelectedItem
        UpdateTextBox()
    End Sub

    Private Sub utCBox_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles utCBox.SelectedIndexChanged
        AdSett(1) = utCBox.SelectedItem
        UpdateTextBox()
    End Sub

    Private Sub udCBox_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles udCBox.SelectedIndexChanged
        AdSett(2) = udCBox.SelectedItem
        UpdateTextBox()
    End Sub

    Private Sub usCBox_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles usCBox.SelectedIndexChanged
        AdSett(3) = usCBox.SelectedItem
        UpdateTextBox()
    End Sub

    Private Sub upCBox_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles upCBox.SelectedIndexChanged
        AdSett(4) = upCBox.SelectedItem
        UpdateTextBox()
    End Sub

    Private Sub urCBox_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles urCBox.SelectedIndexChanged
        AdSett(5) = urCBox.SelectedItem
        UpdateTextBox()
    End Sub

    Private Sub UnitsApply_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UnitsApply.Click
        With _settings
            If AmericanBtn.Checked = True Then .TempFormat = "A"
            If EnglishBtn.Checked = True Then .TempFormat = "E"
            If MetricBtn.Checked = True Then .TempFormat = "M"

            If CustomBtn.Checked = True Then
                If Not CustomTxt.Text = "" Then
                    .TempFormat = CustomTxt.Text

                Else
                    .TempFormat = "A"
                End If
            End If

        End With

    End Sub

    Private Sub UnitsCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UnitsCancel.Click
        With _settings
            Select Case UCase(.TempFormat)
                Case "A"
                    AmericanBtn.Checked = True
                    EnglishBtn.Checked = False
                    MetricBtn.Checked = False
                    CustomTxt.Enabled = False
                Case "E"
                    EnglishBtn.Checked = True
                    AmericanBtn.Checked = False
                    MetricBtn.Checked = False
                    CustomTxt.Enabled = False
                Case "M"
                    MetricBtn.Checked = True
                    AmericanBtn.Checked = False
                    EnglishBtn.Checked = False
                    CustomTxt.Enabled = False
                Case Else
                    CustomBtn.Checked = True
                    MetricBtn.Checked = False
                    AmericanBtn.Checked = False
                    EnglishBtn.Checked = False
                    AdvanceGB.Enabled = True
                    If Not .TempFormat = "" Then
                        AdvancedSettings(.TempFormat)
                    Else
                        AmericanBtn.Checked = True
                        EnglishBtn.Checked = False
                        MetricBtn.Checked = False
                        AdvanceGB.Enabled = False
                    End If
            End Select
        End With
    End Sub

    Private Sub MenuItem5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DeleteAllMnu.Click
        ClearLocations()
    End Sub

    Private Sub SearchMnu_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SearchMnu.Click
        GroupBoxs(True, 2)
    End Sub


    Private Sub BtnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnOK.Click

        If Not SearchLst.SelectedIndex = -1 Then
            LocationsLst.Items.Add(LocationID(SearchLst.SelectedIndex))
            SearchLst.Items.Clear()
        End If
        GroupBoxs(True)
    End Sub

    Private Sub SearchhtmlBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SearchhtmlBtn.Click
        Dim SearchHTML As String = ""
        Dim SearchURL As String
        'Dim Responce As String

        'Dim Location(1) As String
        Dim tmp_i As Integer
        SearchLst.Items.Clear()
        ReDim LocationID(1)
        ReDim LocationString(1)

        SearchURL = "http://xoap.weather.com/search/search?where="

        If Not SearchTxt.Text = "" Then
            SearchHTML = GetPageHTML(SearchURL & SearchTxt.Text, 5, _settings.proxy, , True)

        End If

        If Not SearchHTML = "" Then
            Dim m_xmld As XmlDocument
            Dim m_nodelist As XmlNodeList
            'Dim error_node As XmlNodeList
            Dim m_node As XmlNode
            'Create the XML Document
            m_xmld = New XmlDocument
            'Load the Xml file
            m_xmld.LoadXml(SearchHTML)
            'error_node = m_xmld.SelectNodes("/error")
            'If error_node.Count = 0 Then
            'Get the list of name nodes for loc
            m_nodelist = m_xmld.SelectNodes("/search")
            'Loop through the nodes
            If Not m_nodelist.Count = 0 Then
                For Each m_node In m_nodelist
                    ReDim LocationID(m_node.ChildNodes.Count - 1)
                    ReDim LocationString(m_node.ChildNodes.Count - 1)
                    'Get the Gender Attribute Value
                    For tmp_i = 0 To m_node.ChildNodes.Count - 1
                        If m_node.ChildNodes.Item(tmp_i).Name = "loc" Then
                            LocationID(tmp_i) = m_node.ChildNodes.Item(tmp_i).Attributes.GetNamedItem("id").Value
                            LocationString(tmp_i) = m_node.ChildNodes.Item(tmp_i).InnerText
                        End If
                    Next
                Next

                For tmp_i = 0 To LocationString.Length - 1
                    SearchLst.Items.Add(LocationString.GetValue(tmp_i))
                Next
            End If

            'End If
        End If
        SearchHTML = Nothing


    End Sub


    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        SearchLst.Items.Clear()
        SearchLocPnl.Enabled = False
        SearchLocPnl.Visible = False
    End Sub

    Private Sub AddLocBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AddLocBtn.Click
        If Not AddLocTxt.Text = "" Then

            Dim CheckHTML As String = ""
            Dim weatherURL As String
            'Dim Responce As String
            'Dim tmp_i As Integer

            weatherURL = "http://xoap.weather.com/weather/local/" & AddLocTxt.Text
            CheckHTML = GetPageHTML(weatherURL, 5, _settings.proxy, , True)

            If Not CheckHTML = "" Then
                Dim m_xmld As XmlDocument
                Dim m_nodelist As XmlNodeList
                'Dim error_node As XmlNodeList
                'Dim m_node As XmlNode
                'Create the XML Document
                m_xmld = New XmlDocument
                'Load the Xml file
                m_xmld.LoadXml(CheckHTML)
                m_nodelist = m_xmld.SelectNodes("/error")
                If m_nodelist.Count = 0 Then
                    LocationsLst.Items.Add(AddLocTxt.Text)
                Else
                    MsgBox("Location ID " & AddLocTxt.Text & " Invalid!", MsgBoxStyle.Critical, "Invalid ID")
                    GroupBoxs(True)
                    Exit Sub
                End If
            Else
                Dim Response As MsgBoxResult
                Response = MsgBox("Location ID " & AddLocTxt.Text & " not verified online! Do you still wish to add Location ID", MsgBoxStyle.YesNo, "Invalid ID")
                If Response = MsgBoxResult.Yes Then LocationsLst.Items.Add(AddLocTxt.Text)
            End If
        End If
        GroupBoxs(True)
    End Sub

    Private Sub AddLocCancelBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AddLocCancelBtn.Click
        AddLocTxt.Text = ""
        GroupBoxs(True)

    End Sub

    Private Sub AddMnu_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AddMnu.Click
        GroupBoxs(True, 1)
    End Sub

    Friend Sub LocationApply_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LocationApply.Click
        GroupBoxs(True)
        If LocationsLst.Items.Count = 0 Then
            MsgBox("Warning! There are Currently No Weather.com Locations", MsgBoxStyle.Exclamation, "Warning")
        Else
            Dim CurrentLocations(LocationsLst.Items.Count - 1) As String
            For tmp_l As Integer = 0 To LocationsLst.Items.Count - 1
                CurrentLocations(tmp_l) = LocationsLst.Items.Item(tmp_l)
            Next

            With _settings
                .WeatherID = Join(CurrentLocations, ",")
            End With
        End If
    End Sub

    Private Sub LocationCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LocationCancel.Click
        LocationsLst.Items.Clear()
        Dim LocationArray() As String
        LocationArray = Split(_settings.WeatherID, ",")

        For Tmp_l As Integer = 0 To LocationArray.Length - 1
            LocationsLst.Items.Add(LocationArray(Tmp_l))
        Next

        GroupBoxs(True)
    End Sub

    Private Sub DeleteMnu_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DeleteMnu.Click
        DeleteLocation()
    End Sub
    
    Private Sub InfoMnu_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles InfoMnu.Click
        LocationInfo()
    End Sub

    Private Sub GroupBoxs(ByVal Hide_Boxs As Boolean, Optional ByVal GroupBox As Integer = 0)
        If Hide_Boxs = True Then
            InfoPnl.Visible = False
            InfoPnl.Enabled = False
            SearchLocPnl.Visible = False
            SearchLocPnl.Enabled = False
            AddLocPnl.Visible = False
            AddLocPnl.Enabled = False
        End If
        Select Case GroupBox
            Case 1
                AddLocTxt.Text = ""
                AddLocPnl.Visible = True
                AddLocPnl.Enabled = True
            Case 2
                SearchTxt.Text = ""
                SearchLst.Items.Clear()
                SearchLocPnl.Visible = True
                SearchLocPnl.Enabled = True
            Case 3
                InfoLocTxt.Text = ""
                InfoLocIDTxt.Text = ""
                InfoLatTxt.Text = ""
                InfoLonTxt.Text = ""
                InfoTimeTxt.Text = ""
                InfoStationTxt.Text = ""
                InfoPnl.Visible = True
                InfoPnl.Enabled = True
        End Select

    End Sub

    Private Sub InfoHideBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles InfoHideBtn.Click
        GroupBoxs(True)
    End Sub

    Private Sub ResetBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ResetBtn.Click
        Dim response As MsgBoxResult
        response = MsgBox("Are you sure you want to reset the weather plugin settings to default", MsgBoxStyle.OkCancel, "Reset Settings")
        If response = MsgBoxResult.Ok Then
            With _settings
                .NumDays = Nothing
                .Updatetime = Nothing
                .WeatherID = Nothing
                .enablelog = False
                .TempFormat = Nothing
                Plugin.TranslationRead = False
                .Translation = Nothing
            End With
            OptionsTab.SelectedIndex = 0
            InitSettings()
        End If
    End Sub

    Private Sub AdApplyBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AdApplyBtn.Click
        With _settings
            .NumDays = DaysUpDown.Value
            '.Updatetime = TimeUpDown.Value
            If Not HoursUD.Text And MinsUD.Text And SecUD.Text = 0 Then
                .Updatetime = ConvertTimetoms(HoursUD.Text & ":" & MinsUD.Text & ":" & SecUD.Text)
            Else
                MsgBox("Warning! Update Time set to 00:00:00, setting to default 10 seconds", MsgBoxStyle.Information, "Warning")
                .Updatetime = "600000"
            End If

            '.WeatherID = IDtxt.Text
            .enablelog = LogChk.Checked.ToString

            If TranslationTxt.Text <> .Translation Then
                'TransTxt = New Plugin
                Plugin.TranslationRead = False
                .Translation = TranslationTxt.Text
            End If

            If ProxyChk.Checked = True Then
                .proxy = ProxyTxt.Text & ":" & PortTxt.Text
            Else
                .proxy = Nothing
            End If
        End With
    End Sub

    Private Sub ProxyChk_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ProxyChk.CheckedChanged
        If ProxyChk.Checked = True Then
            ProxyPnl.Enabled = True
        End If
        If ProxyChk.Checked = False Then
            ProxyTxt.Text = ""
            PortTxt.Text = ""
            ProxyPnl.Enabled = False
        End If
    End Sub

    Private Sub AdCancelBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AdCancelBtn.Click
        With _settings
            DaysUpDown.Value = .NumDays
            'TimeUpDown.Value = .Updatetime

            If .enablelog = True Then LogChk.Checked = True
            If .enablelog = False Then LogChk.Checked = False

            TranslationTxt.Text = .Translation

            Dim ProxyArray(1) As String
            If Not _settings.proxy = "" Then
                ProxyArray = _settings.proxy.Split(":", 2, StringSplitOptions.None)
                ProxyChk.Checked = True
                ProxyPnl.Enabled = True
                ProxyTxt.Text = ProxyArray(0)
                PortTxt.Text = ProxyArray(1)
            Else
                ProxyChk.Checked = False
                ProxyPnl.Enabled = False
            End If

            DaysUpDown.Value = _settings.NumDays

            Dim TimeArray(2) As String
            TimeArray = Split(ConvertmstoTime(_settings.Updatetime), ":")
            HoursUD.Text = TimeArray(0)
            MinsUD.Text = TimeArray(1)
            SecUD.Text = TimeArray(2)

        End With
    End Sub
    Private Sub ExportBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExportBtn.Click
        'Dim myStream As Stream
        'Dim saveFileDialog1 As New SaveFileDialog
        MsgBox("Warning! Only settings applied will be exported.", MsgBoxStyle.Information, "Warning!")
        SaveFileDialog1.Filter = "xml files (*.xml)|*.xml"
        SaveFileDialog1.FilterIndex = 1
        SaveFileDialog1.RestoreDirectory = True

        If SaveFileDialog1.ShowDialog() = System.Windows.Forms.DialogResult.OK Then
            ExportSettings(SaveFileDialog1.FileName)
        End If

    End Sub

    Private Sub ImportBtn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ImportBtn.Click
        Try
            With OpenFileDialog1
                'With statement is used to execute statements using a particular object, here,_
                'OpenFileDialog1
                .Filter = "xml files (*.xml)|*.xml"
                .Title = "Open xml File"
                'setting filters so that Text files and All Files choice appears in the Files of Type box
                'in the dialog
                .ShowDialog()
                If Not .FileName = Nothing Then
                    If .CheckFileExists = True Then
                        Dim response As MsgBoxResult
                        response = MsgBox("Are you sure you want to import settings from file " & .FileName, MsgBoxStyle.OkCancel, "Import Settings")
                        If response = MsgBoxResult.Ok Then
                            ImportSettings(.FileName)
                        End If
                    End If
                End If
            End With
        Catch es As Exception
        End Try
    End Sub

    Private Sub PictureBox1_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PictureBox1.Click
        System.Diagnostics.Process.Start("http://www.weather.com/?prod=xoap")
    End Sub

    Private Sub LocationsMnu_Popup(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LocationsMnu.Popup

    End Sub

    Private Sub ToolStripAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripAdd.Click
        GroupBoxs(True, 1)
    End Sub

    Private Sub ToolStripFind_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripFind.Click
        GroupBoxs(True, 2)
    End Sub

    Private Sub ToolStripRemove_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripRemove.Click
        LocationInfo()
    End Sub

    Private Sub ToolStripDelete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripDelete.Click
        DeleteLocation()
    End Sub

    Private Sub ToolStripClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripClear.Click
        ClearLocations()
    End Sub

#End Region

#Region "    Personal Functions     "

    Private Sub UpdateTextBox()
        CustomTxt.Text = Nothing
        If Not AdSett(0) = Nothing Then CustomTxt.Text = CustomTxt.Text & "&form=" & AdSett(0)
        If Not AdSett(1) = Nothing Then CustomTxt.Text = CustomTxt.Text & "&ut=" & AdSett(1)
        If Not AdSett(2) = Nothing Then CustomTxt.Text = CustomTxt.Text & "&ud=" & AdSett(2)
        If Not AdSett(3) = Nothing Then CustomTxt.Text = CustomTxt.Text & "&us=" & AdSett(3)
        If Not AdSett(4) = Nothing Then CustomTxt.Text = CustomTxt.Text & "&up=" & AdSett(4)
        If Not AdSett(5) = Nothing Then CustomTxt.Text = CustomTxt.Text & "&ur=" & AdSett(5)
    End Sub

    Private Sub AdvancedSettings(ByVal AdSettings As String)
        Dim Split() As String = Nothing
        Dim input(1) As String
        Dim tmp_i As Integer

        Split = AdSettings.Split("&")
        For tmp_i = 0 To Split.Length - 1
            input = Split(tmp_i).Split("=")
            If input(0) = "form" Then formCBox.SelectedItem = input(1)
            If input(0) = "ut" Then utCBox.SelectedItem = input(1)
            If input(0) = "ud" Then udCBox.SelectedItem = input(1)
            If input(0) = "us" Then usCBox.SelectedItem = input(1)
            If input(0) = "up" Then upCBox.SelectedItem = input(1)
            If input(0) = "ur" Then urCBox.SelectedItem = input(1)
        Next
    End Sub

    Private Sub InitSettings()

        GroupBoxs(True)
        If _settings.WeatherID = Nothing Then
            _settings.WeatherID = "USIL0225"
        End If
        If _settings.TempFormat = Nothing Then
            _settings.TempFormat = "A"
        End If
        If _settings.Updatetime = Nothing Then
            _settings.Updatetime = "600000"
        End If
        If _settings.NumDays = Nothing Then
            _settings.NumDays = "5"
        End If

        LocationsLst.Items.Clear()
        Dim LocationArray() As String
        LocationArray = Split(_settings.WeatherID, ",")

        For Tmp_l As Integer = 0 To LocationArray.Length - 1
            LocationsLst.Items.Add(LocationArray(Tmp_l))
        Next

        Select Case UCase(_settings.TempFormat)
            Case "A"
                AmericanBtn.Checked = True
                EnglishBtn.Checked = False
                MetricBtn.Checked = False
                AdvanceGB.Enabled = False
            Case "E"
                EnglishBtn.Checked = True
                AmericanBtn.Checked = False
                MetricBtn.Checked = False
                AdvanceGB.Enabled = False
            Case "M"
                MetricBtn.Checked = True
                AmericanBtn.Checked = False
                EnglishBtn.Checked = False
                AdvanceGB.Enabled = False
            Case Else
                CustomBtn.Checked = True
                MetricBtn.Checked = False
                AmericanBtn.Checked = False
                EnglishBtn.Checked = False
                AdvanceGB.Enabled = True
                If Not _settings.TempFormat = "" Then
                    AdvancedSettings(_settings.TempFormat)
                Else
                    AmericanBtn.Checked = True
                    EnglishBtn.Checked = False
                    MetricBtn.Checked = False
                    AdvanceGB.Enabled = False
                End If
        End Select

        DaysUpDown.Value = _settings.NumDays

        Dim TimeArray(2) As String
        TimeArray = Split(ConvertmstoTime(_settings.Updatetime), ":")
        HoursUD.Text = TimeArray(0)
        MinsUD.Text = TimeArray(1)
        SecUD.Text = TimeArray(2)

        If _settings.enablelog = "True" Then
            LogChk.Checked = True
        Else
            LogChk.Checked = False
        End If

        TranslationTxt.Text = _settings.Translation

        Dim ProxyArray(1) As String
        If Not _settings.proxy = Nothing Then
            ProxyArray = _settings.proxy.Split(":", 2, StringSplitOptions.None)
            ProxyChk.Checked = True
            ProxyPnl.Enabled = True
            ProxyTxt.Text = ProxyArray(0)
            PortTxt.Text = ProxyArray(1)
        Else
            ProxyChk.Checked = False
            ProxyPnl.Enabled = False
        End If
        If LocationsLst.Items.Count > 0 Then
            LocationsLst.SelectedIndex = 0
            LocationInfo()
        End If
    End Sub

    Private Sub ExportSettings(ByVal File_name As String)
        Try
            Dim writer As New XmlTextWriter(File_name, Nothing)

            writer.Formatting = Formatting.Indented

            writer.WriteComment("LCDStudio Weather Plugin Settings")

            writer.WriteStartElement("settings")

            writer.WriteElementString("WeatherID", _settings.WeatherID)
            writer.WriteElementString("NumDays", _settings.NumDays)
            writer.WriteElementString("TempFormat", _settings.TempFormat)
            writer.WriteElementString("Updatetime", _settings.Updatetime)
            writer.WriteElementString("Translation", _settings.Translation)
            writer.WriteElementString("enablelog", _settings.enablelog)
            writer.WriteElementString("proxy", _settings.proxy)

            writer.WriteEndElement()

            writer.Flush()
            writer.Close()
        Catch ex As Exception

        End Try

    End Sub

    Private Sub ImportSettings(ByVal File_name As String)
        Try
            ' Open an XML file
            Dim reader As New XmlTextReader(File_name)

            reader.ReadStartElement("settings")
            _settings.WeatherID = reader.ReadElementString("WeatherID")
            _settings.NumDays = reader.ReadElementString("NumDays")
            _settings.TempFormat = reader.ReadElementString("TempFormat")
            _settings.Updatetime = reader.ReadElementString("Updatetime")
            _settings.Translation = reader.ReadElementString("Translation")
            _settings.enablelog = reader.ReadElementString("enablelog")
            _settings.proxy = reader.ReadElementString("proxy")
            reader.ReadEndElement()
            reader.Close()

        Catch ex As Exception

        End Try
        OptionsTab.SelectedIndex = 0
        InitSettings()
    End Sub

    Private Sub DeleteLocation()
        If Not LocationsLst.SelectedIndex = -1 Then
            Dim response As MsgBoxResult
            response = MsgBox("Are you sure you want to delete location " & LocationsLst.Items.Item(LocationsLst.SelectedIndex), MsgBoxStyle.YesNo, "Delete Location ID")
            If response = MsgBoxResult.Yes Then   ' User chose Yes.
                LocationsLst.Items.RemoveAt(LocationsLst.SelectedIndex)
            End If
            'Else
            '    MsgBox("No Location Selected")
        End If
    End Sub

    Private Sub ClearLocations()
        Dim response As MsgBoxResult
        response = MsgBox("Are you sure you want to delete all location ID's", MsgBoxStyle.OkCancel, "Delete All")
        If response = MsgBoxResult.Ok Then   ' User chose Yes.
            LocationsLst.Items.Clear()
        Else
            ' Perform some other action.
        End If
    End Sub

    Private Sub LocationInfo()
        If Not LocationsLst.SelectedIndex = -1 Then
            Dim weatherURL As String = Nothing
            Dim virginHTML As String = Nothing
            Dim Tmp_i As Integer = Nothing
            Dim tmp_n As Integer = Nothing

            weatherURL = "http://xoap.weather.com/weather/local/" & LocationsLst.Items.Item(LocationsLst.SelectedIndex) & "?cc=*"
            virginHTML = GetPageHTML(weatherURL, 5, _settings.proxy, , True)
            GroupBoxs(True, 3)
            If virginHTML <> "" Then

                Dim m_xmld As XmlDocument = Nothing
                Dim m_nodelist As XmlNodeList = Nothing
                Dim m_node As XmlNode = Nothing
                'Dim m_nodelist2 As XmlNodeList = Nothing
                'Dim m_node2 As XmlNode = Nothing
                'Create the XML Document
                m_xmld = New XmlDocument
                'Load the Xml file
                m_xmld.LoadXml(virginHTML)

                'Get the list of name nodes for loc
                m_nodelist = m_xmld.SelectNodes("/weather/loc")
                'Loop through the nodes
                For Each m_node In m_nodelist
                    'Get the Gender Attribute Value
                    InfoLocIDTxt.Text = m_node.Attributes.GetNamedItem("id").Value
                    For Tmp_i = 0 To m_node.ChildNodes.Count - 1
                        If m_node.ChildNodes.Item(Tmp_i).Name = "dnam" Then InfoLocTxt.Text = m_node.ChildNodes.Item(Tmp_i).InnerText
                        If m_node.ChildNodes.Item(Tmp_i).Name = "lat" Then InfoLatTxt.Text = m_node.ChildNodes.Item(Tmp_i).InnerText
                        If m_node.ChildNodes.Item(Tmp_i).Name = "lon" Then InfoLonTxt.Text = m_node.ChildNodes.Item(Tmp_i).InnerText
                        If m_node.ChildNodes.Item(Tmp_i).Name = "zone" Then InfoTimeTxt.Text = m_node.ChildNodes.Item(Tmp_i).InnerText
                    Next
                Next

                'Get the list of name nodes for Current Condition
                m_nodelist = m_xmld.SelectNodes("/weather/cc")
                'Loop through the nodes
                For Each m_node In m_nodelist
                    'Get the Gender Attribute Value
                    For Tmp_i = 0 To m_node.ChildNodes.Count - 1
                        If m_node.ChildNodes.Item(Tmp_i).Name = "obst" Then InfoStationTxt.Text = m_node.ChildNodes.Item(Tmp_i).InnerText
                    Next
                Next

            End If
        End If
    End Sub
#End Region


    Private Sub LocationsLst_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LocationsLst.SelectedIndexChanged
        GroupBoxs(True)
    End Sub

    Private Sub Label25_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Label25.Click
        System.Diagnostics.Process.Start("hhttp://www.weather.com/?prod=xoap")
    End Sub
End Class